gdal2tiles(1)

NAME
gdal2tiles - Generates directory with TMS tiles, KMLs and simple web viewers.

SYNOPSIS

gdal2tiles.py [-p profile] [-r resampling] [-s srs] [-z zoom]
              [-e] [-a nodata] [-v] [-q] [-h] [-k] [-n] [-u url]
              [-w webviewer] [-t title] [-c copyright]
              [-g googlekey] [-b bingkey] input_file [output_dir]

DESCRIPTION

This utility generates a directory with small tiles and metadata, following the OSGeo Tile Map Service Specification. Simple web pages with viewers based on Google Maps, OpenLayers and Leaflet are generated as well - so anybody can comfortably explore your maps on-line and you do not need to install or configure any special software (like MapServer) and the map displays very fast in the web browser. You only need to upload the generated directory onto a web server.

GDAL2Tiles also creates the necessary metadata for Google Earth (KML SuperOverlay), in case the supplied map uses EPSG:4326 projection.

World files and embedded georeferencing is used during tile generation, but you can publish a picture without proper georeferencing too.

-p PROFILE, --profile=PROFILE:
    Tile cutting profile (mercator,geodetic,raster) - default 'mercator' (Google Maps compatible).

-r RESAMPLING, --resampling=RESAMPLING:
    Resampling method (average,near,bilinear,cubic,cubicspline,lanczos,antialias) - default 'average'.

-s SRS, --s_srs=SRS:
    The spatial reference system used for the source input data.

-z ZOOM, --zoom=ZOOM:
    Zoom levels to render (format:'2-5' or '10').

-e, --resume:
    Resume mode. Generate only missing files.

-a NODATA, --srcnodata=NODATA:
    NODATA transparency value to assign to the input data.

-v, --verbose
    Generate verbose output of tile generation.

-q, --quiet
    Disable messages and status to stdout (GDAL >= 2.1).

-h, --help
    Show help message and exit.

--version
    Show program's version number and exit.

KML (Google Earth) options:

Options for generated Google Earth SuperOverlay metadata

-k, --force-kml
    Generate KML for Google Earth - default for 'geodetic' profile and 'raster' in EPSG:4326. For a dataset with different projection use with caution!

-n, --no-kml:
    Avoid automatic generation of KML files for EPSG:4326.

-u URL, --url=URL:
    URL address where the generated tiles are going to be published.

Web viewer options:

Options for generated HTML viewers a la Google Maps

-w WEBVIEWER, --webviewer=WEBVIEWER:
    Web viewer to generate (all,google,openlayers,leaflet,none) - default 'all'.

-t TITLE, --title=TITLE:
    Title of the map.

-c COPYRIGHT, --copyright=COPYRIGHT:
    Copyright for the map.

-g GOOGLEKEY, --googlekey=GOOGLEKEY:
    Google Maps API key from http://code.google.com/apis/maps/signup.html.

-b BINGKEY, --bingkey=BINGKEY:
    Bing Maps API key from https://www.bingmapsportal.com/

NOTE: gdal2tiles.py is a Python script that needs to be run against 'new generation' Python GDAL binding.

AUTHORS

Klokan Petr Pridal klokan@klokan.cz as a Google SoC 2007 Project.